Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 297031 - Stable Request: sys-apps/dbus-1.2.24
Summary: Stable Request: sys-apps/dbus-1.2.24
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Steev Klimaszewski
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 278953
  Show dependency tree
 
Reported: 2009-12-15 13:52 UTC by Andrew Brouwers
Modified: 2010-05-24 15:19 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Brouwers 2009-12-15 13:52:06 UTC
The current dbus in stable gentoo is fairly dated, even by the permissive standards.

I've been testing this on a few systems, and have not noticed any negative effects.

Reproducible: Always
Comment 1 Gustavo F. Padovan 2010-01-17 15:17:14 UTC
DBus 1.3.X is a development version. The next stable release will be 1.4. Are you sure in mark DBus 1.3 as stable is gentoo?
Comment 2 William Hubbs gentoo-dev 2010-02-07 00:18:40 UTC
All,

what is the status of this,will there be a stable 1.3.x?

Thanks,

William

Comment 3 Andrew Brouwers 2010-02-07 01:42:38 UTC
This was filed while 1.2.x wasn't actively being bumped.  Now that 1.2.20 is in-tree, perhaps it makes sense to focus on this as the stable candidate?  1.2.20 is their latest stable release, while 1.3.0 is still considered development.

Downgrading to 1.2.20 seems to work great here.
Comment 4 Steev Klimaszewski gentoo-dev 2010-02-08 14:27:03 UTC
Correct - 1.3.x is the development version, and was only added to the tree to ease some of the security issue pains.  1.2.20 will be the one that should go stable, alas, it has only been in the tree for a few days.
Comment 5 Andrew Brouwers 2010-03-07 17:55:45 UTC
(In reply to comment #4)
> Correct - 1.3.x is the development version, and was only added to the tree to
> ease some of the security issue pains.  1.2.20 will be the one that should go
> stable, alas, it has only been in the tree for a few days.
> 

I can't spot any bugs that have popped up from 1.2.20 - any thoughts on stablizing this one?
Comment 6 Steev Klimaszewski gentoo-dev 2010-03-09 06:49:39 UTC
I'd like to talk with Doug (Cardoe) about it first - the issue is really, that 1.3.x is in the tree, as ~ as is this one - most people have moved on to 1.3.x, so I'm not sure how much testing this has gotten - I use it on 4 different architectures (x86, ppc, amd64, arm), but only with Gnome and not with NetworkManager/wpa_supplicant (this one is a biggie) and not with KDE or anything XFCEish - it has been 30 days, true, I'm just not sure its gotten the testing it needs.
Comment 7 Doug Goldstein gentoo-dev 2010-03-19 21:41:55 UTC
(In reply to comment #6)
> I'd like to talk with Doug (Cardoe) about it first - the issue is really, that
> 1.3.x is in the tree, as ~ as is this one - most people have moved on to 1.3.x,
> so I'm not sure how much testing this has gotten - I use it on 4 different
> architectures (x86, ppc, amd64, arm), but only with Gnome and not with
> NetworkManager/wpa_supplicant (this one is a biggie) and not with KDE or
> anything XFCEish - it has been 30 days, true, I'm just not sure its gotten the
> testing it needs.
> 

Like I discussed with Steev off Bugzilla, I'd tend to agree here. Can we have some confirmation that all the various desktop users are not affected by anything?
Comment 8 Nirbheek Chauhan (RETIRED) gentoo-dev 2010-03-19 21:56:53 UTC
It was suggested on IRC that the 1.2.22 bump be done (which watches config dirs for changes so you don't need to reload dbus), and then the 1.3 series masked so that 1.2* gets testing. 30 days later, we can stabilize 1.2.22. 

afaik, there's only two packages in-tree that specifically depend on >=dbus-1.3; net-misc/connman and net-misc/ofono (a dep of connman). I doubt anyone uses connman; so IMO it can be masked alongwith dbus-1.3 (after consulting dagger [the maintainer] of course).
Comment 9 Steev Klimaszewski gentoo-dev 2010-04-06 20:32:23 UTC
Arches, please stable sys-apps/dbus-1.2.24
Comment 10 Steev Klimaszewski gentoo-dev 2010-04-06 21:13:57 UTC
Arches, please stable sys-apps/dbus-1.2.24

(Improved message by actually adding the arches this time!)
Comment 11 Christian Faulhammer (RETIRED) gentoo-dev 2010-04-08 12:38:45 UTC
x86 stable
Comment 12 Pacho Ramos gentoo-dev 2010-04-09 08:40:59 UTC
amd64 stable
Comment 13 Brent Baude (RETIRED) gentoo-dev 2010-04-16 16:04:12 UTC
ppc stable
Comment 14 Joseph 2010-04-20 17:08:25 UTC
sys-apps/dbus-1.2.24 is NOT STABLE.

After upgrading to dbus-1.2.24 xfdesktop will not start on XFCE4 and USB stick will not mount automatically.
Downgrading to dbus-1.2.3-r1 and now everything is working.
Comment 15 Sebastian Günther 2010-04-27 21:49:20 UTC
Ther is a problem with /etc/dbus-1/session.conf:

Everything with fds has to be commented out/erased.
Comment 16 Brent Baude (RETIRED) gentoo-dev 2010-05-11 21:22:31 UTC
ppc64 stable
Comment 17 Raúl Porcel (RETIRED) gentoo-dev 2010-05-24 15:19:04 UTC
alpha/arm/ia64/s390/sh/sparc stable, closing